summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Pierre Cazenave <pwcazenave {at} gmail {dot} com>2010-05-12 23:27:53 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:27:53 +0200
commitd1afb5c3c1615e5bfc3f8305ac513481c0398df8 (patch)
tree6bf02bc7dddb3b1e8b5e2830d4a388e2afaf965a /audio
parent3de45161220ad8d69963e4df7b61930bc4d7091b (diff)
downloadslackbuilds-d1afb5c3c1615e5bfc3f8305ac513481c0398df8.tar.gz
slackbuilds-d1afb5c3c1615e5bfc3f8305ac513481c0398df8.tar.xz
audio/gnump3d: Added to 12.2 repository
Diffstat (limited to 'audio')
-rw-r--r--audio/gnump3d/README13
-rw-r--r--audio/gnump3d/doinst.sh15
-rw-r--r--audio/gnump3d/gnump3d.SlackBuild97
-rw-r--r--audio/gnump3d/gnump3d.info8
-rw-r--r--audio/gnump3d/slack-desc11
5 files changed, 144 insertions, 0 deletions
diff --git a/audio/gnump3d/README b/audio/gnump3d/README
new file mode 100644
index 0000000000..d812e3a921
--- /dev/null
+++ b/audio/gnump3d/README
@@ -0,0 +1,13 @@
+GNUMP3d is a streaming server for MP3s, OGG vorbis files, movies and
+other media formats.
+
+It is designed to be:
+
+ * Small, stable, portable, self-contained, and secure.
+ * Simple to install, configure, and use.
+ * Portable across different varieties of Unix, the GNU Operating
+ System, and Microsoft Windows platforms.
+
+The project has reached final release, thus there is no immediate
+likelihood of upgrades, though I suspect if you find a show-stopping bug,
+the author would like to know about it: http://www.steve.org.uk/contact/.
diff --git a/audio/gnump3d/doinst.sh b/audio/gnump3d/doinst.sh
new file mode 100644
index 0000000000..706b58abf5
--- /dev/null
+++ b/audio/gnump3d/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/gnump3d/gnump3d.conf.new
+
diff --git a/audio/gnump3d/gnump3d.SlackBuild b/audio/gnump3d/gnump3d.SlackBuild
new file mode 100644
index 0000000000..e11f3997e2
--- /dev/null
+++ b/audio/gnump3d/gnump3d.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for the GNU mp3 and ogg daemon.
+# 16/12/2008 - original script
+# 04/04/2009 - fixed symlink and added no-clobber for config
+# 28/05/2009 - added Slackware64 support.
+#
+# Copyright 2009 Pierre Cazenave <pwcazenave {at} gmail [dot] com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+
+PRGNAM=gnump3d
+VERSION=3.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-3}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+# gnump3d gets the library directory from a short perl script in the
+# source directory, thus, there's no need to specify a suffix in this
+# script.
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make
+make install \
+ PREFIX=$PKG \
+ MANDIR=/usr/man/man1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Don't clobber an existing config file
+mv $PKG/etc/gnump3d/gnump3d.conf $PKG/etc/gnump3d/gnump3d.conf.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog DOWNSAMPLING INSTALL \
+ PLUGINS README SUPPORT TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# fix a dodgy symlink
+if [ -h $PKG/usr/bin/gnump3d ]; then
+ ( cd $PKG/usr/bin; rm gnump3d; ln -s /usr/bin/gnump3d2 gnump3d )
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/gnump3d/gnump3d.info b/audio/gnump3d/gnump3d.info
new file mode 100644
index 0000000000..400055bcd2
--- /dev/null
+++ b/audio/gnump3d/gnump3d.info
@@ -0,0 +1,8 @@
+PRGNAM="gnump3d"
+VERSION="3.0"
+HOMEPAGE="http://www.gnu.org/software/gnump3d/"
+DOWNLOAD="http://savannah.gnu.org/download/gnump3d/gnump3d-3.0.tar.bz2"
+MD5SUM="41786650bbc591484c08014a89478bf9"
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave {at} gmail {dot} com"
+APPROVED="dsomero"
diff --git a/audio/gnump3d/slack-desc b/audio/gnump3d/slack-desc
new file mode 100644
index 0000000000..378b191be6
--- /dev/null
+++ b/audio/gnump3d/slack-desc
@@ -0,0 +1,11 @@
+gnump3d: gnump3d (streaming server)
+gnump3d:
+gnump3d: GNUMP3d is a streaming server for MP3s, OGG vorbis files, movies
+gnump3d: and other media formats.
+gnump3d:
+gnump3d: It is designed to be:
+gnump3d: * Small, stable, portable, self-contained, and secure.
+gnump3d: * Simple to install, configure, and use.
+gnump3d: * Portable across different varieties of Unix, the GNU
+gnump3d: Operating System, and Microsoft Windows platforms.
+gnump3d: http://www.gnu.org/software/gnump3d/